Commit 8d158892 authored by Joseph Mirabel's avatar Joseph Mirabel
Browse files

Add CMake variable to choose Python version.

parent c1a9afbc
......@@ -45,6 +45,12 @@ IF (HPP_DEBUG)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHPP_DEBUG")
ENDIF()
# search for python
IF(NOT DEFINED PYTHON_DESIRED_VERSION)
SET(PYTHON_DESIRED_VERSION 2.7)
ENDIF()
FINDPYTHON(${PYTHON_DESIRED_VERSION} EXACT)
ADD_DOC_DEPENDENCY("hpp-core >= 4.3")
ADD_REQUIRED_DEPENDENCY("hpp-corbaserver >= 4.3")
ADD_REQUIRED_DEPENDENCY("hpp-rbprm >= 4.3")
......
......@@ -24,9 +24,6 @@ OMNIIDL_INCLUDE_DIRECTORIES(
${HPP_CORBASERVER_DATAROOTDIR}/idl ${CMAKE_SOURCE_DIR}/idl
)
# search for python
FINDPYTHON(2.7 EXACT REQUIRED)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src)
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/hpp/corbaserver/rbprm)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment